Gentoo Archives: gentoo-commits

From: "Mike Frysinger (vapier)" <vapier@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-devel/gcc: ChangeLog gcc-3.2.3-r4.ebuild
Date: Sun, 22 Jun 2008 10:52:57
Message-Id: E1KANBj-0000mm-6P@stork.gentoo.org
1 vapier 08/06/22 10:52:51
2
3 Modified: ChangeLog gcc-3.2.3-r4.ebuild
4 Log:
5 Fix for building with newer gcc versions #225743 by Emil Wojak.
6 (Portage version: 2.2_rc1/cvs/Linux 2.6.25 x86_64, RepoMan options: --force)
7
8 Revision Changes Path
9 1.654 sys-devel/gcc/ChangeLog
10
11 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-devel/gcc/ChangeLog?rev=1.654&view=markup
12 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-devel/gcc/ChangeLog?rev=1.654&content-type=text/plain
13 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-devel/gcc/ChangeLog?r1=1.653&r2=1.654
14
15 Index: ChangeLog
16 ===================================================================
17 RCS file: /var/cvsroot/gentoo-x86/sys-devel/gcc/ChangeLog,v
18 retrieving revision 1.653
19 retrieving revision 1.654
20 diff -u -r1.653 -r1.654
21 --- ChangeLog 21 Jun 2008 04:23:11 -0000 1.653
22 +++ ChangeLog 22 Jun 2008 10:52:50 -0000 1.654
23 @@ -1,6 +1,10 @@
24 # ChangeLog for sys-devel/gcc
25 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
26 -# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/ChangeLog,v 1.653 2008/06/21 04:23:11 vapier Exp $
27 +# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/ChangeLog,v 1.654 2008/06/22 10:52:50 vapier Exp $
28 +
29 + 22 Jun 2008; Mike Frysinger <vapier@g.o>
30 + +files/3.2.3/gcc-3.2.3-poisoned-malloc.patch, gcc-3.2.3-r4.ebuild:
31 + Fix for building with newer gcc versions #225743 by Emil Wojak.
32
33 21 Jun 2008; Mike Frysinger <vapier@g.o> gcc-4.3.0.ebuild,
34 gcc-4.3.1.ebuild:
35
36
37
38 1.27 sys-devel/gcc/gcc-3.2.3-r4.ebuild
39
40 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-devel/gcc/gcc-3.2.3-r4.ebuild?rev=1.27&view=markup
41 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-devel/gcc/gcc-3.2.3-r4.ebuild?rev=1.27&content-type=text/plain
42 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-devel/gcc/gcc-3.2.3-r4.ebuild?r1=1.26&r2=1.27
43
44 Index: gcc-3.2.3-r4.ebuild
45 ===================================================================
46 RCS file: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.2.3-r4.ebuild,v
47 retrieving revision 1.26
48 retrieving revision 1.27
49 diff -u -r1.26 -r1.27
50 --- gcc-3.2.3-r4.ebuild 20 Mar 2008 20:39:50 -0000 1.26
51 +++ gcc-3.2.3-r4.ebuild 22 Jun 2008 10:52:50 -0000 1.27
52 @@ -1,6 +1,6 @@
53 # Copyright 1999-2008 Gentoo Foundation
54 # Distributed under the terms of the GNU General Public License v2
55 -# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.2.3-r4.ebuild,v 1.26 2008/03/20 20:39:50 vapier Exp $
56 +# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.2.3-r4.ebuild,v 1.27 2008/06/22 10:52:50 vapier Exp $
57
58 inherit eutils flag-o-matic libtool versionator
59
60 @@ -206,39 +206,7 @@
61 cp ${WORKDIR}/protector.h ${WORKDIR}/${P}/gcc/ || die "protector.h not found"
62 version_patch ${FILESDIR}/3.2.3/gcc-323-propolice-version.patch
63
64 - # check for the glibc to have the guard
65 - if [ "$(readelf -s /lib/libc.so.6 | grep GLOBAL | grep OBJECT | grep '__guard')" ] &&
66 - [ "$(readelf -s /lib/libc.so.6 | grep GLOBAL | grep FUNC | grep '__stack_smash_handler')" ]
67 - then
68 - ewarn "this sys-libs/glibc has __guard object and __stack_smash_handler functions"
69 - ewarn "scanning the system for binaries with __guard - this may take 5-10 minutes"
70 - ewarn "please do not press crtl-C or crtl-Z during this period - it will continue"
71 - SCANPATH="$(for i in $(cat /etc/ld.so.conf | grep -v '/usr/lib/gcc-lib' | grep -v '^\#'); do echo -n $i; echo -n ' '; done) $(echo ${PATH} | sed 's,:, ,g')"
72 - if [ "$(find ${SCANPATH} -type f -perm -1 -maxdepth 9 -exec readelf -s {} \; 2>&1 | grep "__guard\@GCC" 2>&1 1>/dev/null; echo $?)" == "0" ]
73 - then
74 - eerror "found binaries that are dynamically linked to the libgcc with __guard@@GCC"
75 - eerror "you need to compile these binaries without CFLAGS -fstack-protector/hcc -r"
76 - echo
77 - eerror "also you have to make sure that using ccache needs the cache to be flushed"
78 - eerror "wipe out /var/tmp/ccache or /root/.ccache, this will remove possible saved"
79 - eerror "-fstack-protector arguments that still may reside in such a compiler cache"
80 - echo
81 - eerror "when such binaries are found, gcc cannot remove libgcc propolice functions"
82 - eerror "leading to gcc -static -fstack-protector breaking, see gentoo bug id 25299"
83 - einfo "you can run 'qpkg -f' from the gentoolkit package and reemerge the program"
84 - einfo "to do a full scan on your system, enter this following command in a shell:"
85 - echo
86 - einfo "find / -type f -perm -1 -maxdepth 9 -exec echo -n '__guard at GCC check in: {} ' \; -exec qpkg -f {} \; -exec readelf -s {} \; 2>&1 | grep __guard | grep -B1 '__guard\@GCC'"
87 - echo
88 - exit 1
89 - else
90 - echo
91 - einfo "no binaries with suspicious libgcc __guard@GCC dependencies in ${SCANPATH}"
92 - echo
93 - epatch ${FILESDIR}/3.2.3/gcc-3.2.3-move-propolice-into-glibc.patch
94 - fi
95 - fi
96 - # end of check for the glibc to have the guard
97 + epatch ${FILESDIR}/3.2.3/gcc-3.2.3-move-propolice-into-glibc.patch
98 fi
99
100 # Patches from Mandrake/Suse ...
101 @@ -251,6 +219,7 @@
102 # GCC bugfixes ...
103 epatch ${FILESDIR}/3.2.2/gcc32-pr7768.patch
104 epatch ${FILESDIR}/3.2.2/gcc32-pr8213.patch
105 + epatch ${FILESDIR}/3.2.3/gcc-3.2.3-poisoned-malloc.patch #225743
106
107 # Get gcc to decreases the number of times the collector has to be run
108 # by increasing its memory workspace, bug #16548.
109
110
111
112 --
113 gentoo-commits@l.g.o mailing list